package com.bcxin.saas.core;

public class Constants {
    private static String USER_PROFILE_COOKIE_NAME_FORMAT="v5_gu_p_";
    public static String getUserProfileCookieName(String userId) {
        return USER_PROFILE_COOKIE_NAME_FORMAT.concat(userId);
    }

    public static String getUserProfileCookiePrefixName() {
        return USER_PROFILE_COOKIE_NAME_FORMAT;
    }

    public static String getUserNodeRedisKey(String userId) {
        return String.format("USER_NODE_REDIS_KEY:%s", userId);
    }

    public static String getUserMapRedisKey(String userId) {
        return String.format("USER_MAP_REDIS_KEY:%s", userId);
    }
}
